List conversation notes
curl --request GET \
--url https://api.withallo.com/v2/api/conversations/{contact_number}/notes \
--header 'Authorization: <api-key>'import requests
url = "https://api.withallo.com/v2/api/conversations/{contact_number}/notes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.withallo.com/v2/api/conversations/{contact_number}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "not-2NyMabc123",
"content": "Escalate to @[Jane Doe](usr-abc123) tomorrow",
"contact_number": "+14155551234",
"allo_number": "+14155550100",
"user": {
"id": "usr-def456",
"name": "John Smith"
},
"mentions": [
{
"user_id": "usr-abc123",
"name": "Jane Doe",
"deleted": false
}
],
"created_at": "2026-07-13T10:00:00",
"updated_at": "2026-07-13T10:00:00"
}
],
"pagination": {
"page": 1,
"size": 20,
"total_count": 1,
"total_pages": 1,
"has_more": false
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Notes
List conversation notes
Returns the internal team notes on a conversation, paginated.
GET
/
v2
/
api
/
conversations
/
{contact_number}
/
notes
List conversation notes
Required scope:
NOTES_READallo_number is required — a conversation is scoped to one of your Allo lines.
Errors
| Status | Code | When |
|---|---|---|
400 | MISSING_ALLO_NUMBER | The allo_number parameter is missing |
403 | ALLO_NUMBER_FORBIDDEN | You do not have access to this Allo line |
Authorizations
Path Parameters
The contact's phone number (E.164)
Example:
"+14155551234"
Query Parameters
The Allo line the conversation belongs to (E.164). List your numbers with GET /v2/api/numbers.
Example:
"+14155550100"
Page number (1-indexed)
Required range:
x >= 1Results per page
Required range:
1 <= x <= 100Was this page helpful?
⌘I